Agent/AI-Bot will call this when they are typing a message in live chat message

http
POST https://services.leadconnectorhq.com/conversations/providers/live-chat/typing

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
locationIdstringYesve9EPM428h8vShlRW1KTAccount Id
isTypingstringYesTrueTyping status
visitorIdstringYesve9EPM428h8vShlRW1KTvisitorId is the Unique ID assigned to each Live chat visitor. visitorId will be added soon in GET Contact API
conversationIdstringYesve9EPM428h8vShlRW1KTConversation Id

Responses

201 - Show typing indicator for live chat
  • success (boolean, required)

json
{
  "success": true
}
400 - Bad Request
json
{}
401 - Unauthorized
json
{}
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/conversations/providers/live-chat/typing' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "ve9EPM428h8vShlRW1KT",
  "isTyping": true,
  "visitorId": "ve9EPM428h8vShlRW1KT",
  "conversationId": "ve9EPM428h8vShlRW1KT"
}'

Last updated October 26, 2026

Was this page helpful?